// Parameters.h : header file
//
const int min_N = 1 ;
const int max_N = 100 ;

const int min_T = 1 ;
const int max_T = 100 ;

const int min_interval = 1 ;
const int max_interval = 16 ;

const int min_ave_duration = 1 ;
const int max_ave_duration = 1800 ;
    // A call can last for 1800 secs , i.e. 30 mins at most

const int min_subscriber_rate = 5  ;
const int max_subscriber_rate = 100 ;

const int min_arrival_rate = 1 ;

/////////////////////////////////////////////////////////////////////////////
// CParameters dialog

class CParameters : public CDialog
{
// Construction
public:
	CParameters(CWnd* pParent = NULL);   // standard constructor
   
// Dialog Data
	//{{AFX_DATA(CParameters)
	enum { IDD = IDD_PARAMETERS };
	CEdit	m_calls_per_minute_string;
	CEdit	m_MaxOneCallPer_String;
	CEdit	m_frames_string;
	CSpinButtonCtrl	m_SpinValue;
	CEdit	m_T_string;
	CEdit	m_interval_string;
	CEdit	m_N_string;
	int		m_N;
	int		m_interval;
	int		m_T;
	int		m_traffic;
	int		m_pos;
	int		m_frames;
	int		m_topology;
	int		m_MaxOneCallPer;
	int		m_calls_per_minute;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CParameters)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Operations
protected:
	void SetMaximumLambda() ;

// Attributes 
	int max_arrival_rate ;
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CParameters)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnChangeEditFrames();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeEditCalls();
	afx_msg void OnChangeEditN();
	afx_msg void OnChangeEditT();
	afx_msg void OnChangeEditMaxOneCallPer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
