#include "ST.h"
/////////////////////////////////////////////////////////////////////////////
// Implementation of the Time Slot Interchanger class
CST_TSI::CST_TSI()
{
	int size = GetDocument()->GetT();
	to = new int [size];
	for(int i=0 ; i<size ; i++)
		to[i] = NOT_USED ;
}

void CST_TSI::SetValue(int index,int value)
{ to[index] = value ; }

int CST_TSI::GetValue(int index)
{ return to[index] ; }

int CST_TSI::CheckBusyReceiver(int key)
{
  int i=0 ;
  int size = GetDocument()->GetT();
  while (i<size)
	  if (to[i++] == key)
	     return 1 ;
  return 0 ;
}

CST_TSI::~CST_TSI()
{
	delete[GetDocument()->GetT()] to ;
}
