// ResultsView.h : interface of the CResultsView class
//
/////////////////////////////////////////////////////////////////////////////

#include "ResultsDoc.h"

class CResultsView : public CEditView
{
protected: // create from serialization only
	DECLARE_DYNCREATE(CResultsView)
//    CToolBar m_wndToolBar ;
//	  CWnd* m_pMain ;

// Attributes
public:
	CResultsView();
	CResultsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResultsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();	
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CResultsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CResultsView)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ResultsView.cpp
inline CResultsDoc* CResultsView::GetDocument()
   { return (CResultsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
